Portfolio plugins explicitly requires parent library with superclass definition